#!/bin/bash

# Nettoyage des spools

./cleanAllClientsSpools.sh
./cleanServerSpool.sh
# Lancement du serveurs
./Serveur.sh 9999  &
serveur1=$!

# on attend le démarage du serveur
sleep 1

# bob dépose pour alice
./Client.sh bob localhost 9999 Put alice /etc/hosts  &
client1=$!

# yumi dépose pour alice
./Client.sh yumi localhost 9999 Put alice /etc/passwd &
client2=$!


wait $client1 $client2

echo "État après les PUT"
find data/ -type f

echo "================"

# alice récupère les deux fichiers
./Client.sh alice localhost 9999 Get

echo "État après le GET"
find data/ -type f

echo "================"

#on tue le serveur pour ne pas occuper le port plus lonhtemps.
kill $serveur1

exit 0
