package tsp.csc4509.tpnote;

/**
 * Classe définissant les constantes identifiant les messages que le worker peut
 * échanger.
 * 
 * @author Éric Lallet
 *
 */
public final class MessType {

	/**
	 * Valeur du messType pour les objets de la classe Personne.
	 */
	public static final int PERSONNETYPE = 0;
	/**
	 * Valeur du messType pour les chaînes de caractères.
	 */
	public static final int STRINGTYPE = 1;

	/**
	 * Valeur du messType pour les objets de la classe Message.
	 */
	public static final int PROTOCOLMESSAGETYPE = 2;

	/**
	 * 
	 */
	private MessType() {

	}
}
